# Class TCefPrintSettingsRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPrintSettings

## Declaration

`type TCefPrintSettingsRef = class(TCefBaseRefCountedRef, ICefPrintSettings)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefPrintSettingsRef

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsReadOnly: Boolean;`
| `procedure SetOrientation(landscape: Boolean);`
| `function IsLandscape: Boolean;`
| `procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);`
| `procedure SetDeviceName(const name: ustring);`
| `function GetDeviceName: ustring;`
| `procedure SetDpi(dpi: Integer);`
| `function GetDpi: Integer;`
| `procedure SetPageRanges(const ranges: TCefRangeArray);`
| `function GetPageRangesCount: NativeUInt;`
| `procedure GetPageRanges(out ranges: TCefRangeArray);`
| `procedure SetSelectionOnly(selectionOnly: Boolean);`
| `function IsSelectionOnly: Boolean;`
| `procedure SetCollate(collate: Boolean);`
| `function WillCollate: Boolean;`
| `procedure SetColorModel(model: TCefColorModel);`
| `function GetColorModel: TCefColorModel;`
| `procedure SetCopies(copies: Integer);`
| `function GetCopies: Integer;`
| `procedure SetDuplexMode(mode: TCefDuplexMode);`
| `function GetDuplexMode: TCefDuplexMode;`
| `class function New: ICefPrintSettings;`
| `class function UnWrap(data: Pointer): ICefPrintSettings;`

## Description

### Methods

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefPrintSettings.IsValid. Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0).

| `function IsReadOnly: Boolean;`
This item has no description. Showing description inherited from ICefPrintSettings.IsReadOnly. Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

| `procedure SetOrientation(landscape: Boolean);`
This item has no description. Showing description inherited from ICefPrintSettings.SetOrientation. Set the page orientation.

| `function IsLandscape: Boolean;`
This item has no description. Showing description inherited from ICefPrintSettings.IsLandscape. Returns true (1) if the orientation is landscape.

| `procedure SetPrinterPrintableArea(const physicalSizeDeviceUnits: PCefSize; const printableAreaDeviceUnits: PCefRect; landscapeNeedsFlip: Boolean);`
This item has no description. Showing description inherited from ICefPrintSettings.SetPrinterPrintableArea. Set the printer printable area in device units. Some platforms already provide flipped area. Set |landscape_needs_flip| to false (0) on those platforms to avoid double flipping.

| `procedure SetDeviceName(const name: ustring);`
This item has no description. Showing description inherited from ICefPrintSettings.SetDeviceName. Set the device name.

| `function GetDeviceName: ustring;`
This item has no description. Showing description inherited from ICefPrintSettings.GetDeviceName. Get the device name.

| `procedure SetDpi(dpi: Integer);`
This item has no description. Showing description inherited from ICefPrintSettings.SetDpi. Set the DPI (dots per inch).

| `function GetDpi: Integer;`
This item has no description. Showing description inherited from ICefPrintSettings.GetDpi. Get the DPI (dots per inch).

| `procedure SetPageRanges(const ranges: TCefRangeArray);`
This item has no description. Showing description inherited from ICefPrintSettings.SetPageRanges. Set the page ranges.

| `function GetPageRangesCount: NativeUInt;`
This item has no description. Showing description inherited from ICefPrintSettings.GetPageRangesCount. Returns the number of page ranges that currently exist.

| `procedure GetPageRanges(out ranges: TCefRangeArray);`
This item has no description. Showing description inherited from ICefPrintSettings.GetPageRanges. Retrieve the page ranges.

| `procedure SetSelectionOnly(selectionOnly: Boolean);`
This item has no description. Showing description inherited from ICefPrintSettings.SetSelectionOnly. Set whether only the selection will be printed.

| `function IsSelectionOnly: Boolean;`
This item has no description. Showing description inherited from ICefPrintSettings.IsSelectionOnly. Returns true (1) if only the selection will be printed.

| `procedure SetCollate(collate: Boolean);`
This item has no description. Showing description inherited from ICefPrintSettings.SetCollate. Set whether pages will be collated.

| `function WillCollate: Boolean;`
This item has no description. Showing description inherited from ICefPrintSettings.WillCollate. Returns true (1) if pages will be collated.

| `procedure SetColorModel(model: TCefColorModel);`
This item has no description. Showing description inherited from ICefPrintSettings.SetColorModel. Set the color model.

| `function GetColorModel: TCefColorModel;`
This item has no description. Showing description inherited from ICefPrintSettings.GetColorModel. Get the color model.

| `procedure SetCopies(copies: Integer);`
This item has no description. Showing description inherited from ICefPrintSettings.SetCopies. Set the number of copies.

| `function GetCopies: Integer;`
This item has no description. Showing description inherited from ICefPrintSettings.GetCopies. Get the number of copies.

| `procedure SetDuplexMode(mode: TCefDuplexMode);`
This item has no description. Showing description inherited from ICefPrintSettings.SetDuplexMode. Set the duplex mode.

| `function GetDuplexMode: TCefDuplexMode;`
This item has no description. Showing description inherited from ICefPrintSettings.GetDuplexMode. Get the duplex mode.

| `class function New: ICefPrintSettings;`
This item has no description.

| `class function UnWrap(data: Pointer): ICefPrintSettings;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.